﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using Microsoft.Gateway.Console.Models;
using Microsoft.WindowsAzure.Management.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Linq.Expressions;

namespace Microsoft.Gateway.Console.Controllers
{
    public class DeploymentController : Controller
    {

        private DeploymentModel _stub = null;

        public DeploymentController()
        {
            _stub = new DeploymentModel()
            {
                ServiceName = "MyGatewayService",
                Subscriptions = new List<SelectListItem> { 
                    new SelectListItem { Value = "0", Text = "Keynote Subscription 1" }, 
                    new SelectListItem { Value = "1", Text = "Keynote Subscription 2" } 
                },
                Regions = new List<SelectListItem> { 
                    new SelectListItem { Value = LocationNames.EastAsia, Text = LocationNames.EastAsia},
                    new SelectListItem { Value = LocationNames.EastUS, Text = LocationNames.EastUS},
                    new SelectListItem { Value = LocationNames.NorthCentralUS, Text = LocationNames.NorthCentralUS},
                    new SelectListItem { Value = LocationNames.NorthEurope, Text = LocationNames.NorthEurope},
                    new SelectListItem { Value = LocationNames.SouthCentralUS, Text = LocationNames.SouthCentralUS},
                    new SelectListItem { Value = LocationNames.SoutheastAsia, Text = LocationNames.SoutheastAsia},
                    new SelectListItem { Value = LocationNames.WestEurope, Text = LocationNames.WestEurope},
                    new SelectListItem { Value = LocationNames.WestUS, Text = LocationNames.WestUS},
                },
                InstanceCount = 2,
                ServiceConfigurationLocation = "http://gateway.blob.core.windows.net/latest/ServerGateway.cscfg",
                ServicePackageFileLocation = "http://gateway.blob.core.windows.net/latest/ServerGateway.cspkg",
                RoleIndexConfigLocation= "http://mystorageaccount.blob.core.windows.net/config/index.json"
            };

            _stub.SubscriptionSelection = _stub.Subscriptions.First().Value;
            _stub.RegionSelection = _stub.Regions.First().Value;
        }

        public ActionResult Index()
        {
            return View(_stub);
        }

        [HttpPost]        
        public ActionResult Index(HttpPostedFileBase file)
        {
            return View(_stub);
        }      
    }
}
