﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Gateway.Console.Models
{
    public class AnalyticsModel
    {
        enum ClusterUseOptionTypes
        {
            UseExisting,
            CreateNew,
        }

        public AnalyticsModel()
        {
            this.ClusterUseOptions = new List<SelectListItem> 
            {
                new SelectListItem { Text = "Use Existing HDInsight Cluster", Value = ClusterUseOptionTypes.UseExisting.ToString() },
                new SelectListItem { Text = "Create New HDInsight Cluster", Value = ClusterUseOptionTypes.CreateNew.ToString() },
            };
        }

        [Display(Name = "Enable Application Analytics")]
        public bool EnableAnalytics { get; set; }

        [Display(Name = "HDInsight Cluster")]
        public List<SelectListItem> ClusterUseOptions { get; private set; }

        public string SelectedClusterUse
        {
            get { return this.CreateCluster ? ClusterUseOptionTypes.CreateNew.ToString() : ClusterUseOptionTypes.UseExisting.ToString(); }
            set 
            { 
                var selectedUse = (ClusterUseOptionTypes)Enum.Parse(typeof(ClusterUseOptionTypes), value);
                this.CreateCluster = selectedUse == ClusterUseOptionTypes.CreateNew;
            }
        }

        public bool CreateCluster { get; set; }

        [Display(Name = "HDInsight Cluster Name")]
        public string ClusterName { get; set; }

        [Display(Name = "Node Count")]
        public int ClusterNodeCount { get; set; }

        [Display(Name = "HDInsight Cluster")]
        public List<SelectListItem> AvailableClusters { get; set; }
    }
}