﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using GatewayTracingModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Web;


namespace Microsoft.Gateway.Tracing
{
    public class GatewayTracingModule : IHttpModule
    {
        private IList<IGatewayModuleInit> _moduleHooks = new List<IGatewayModuleInit>();

        public GatewayTracingModule()
        {
            _moduleHooks.Add(new AuthHook());
            _moduleHooks.Add(new TracingHook());            
        }

        public void Init(HttpApplication context)
        {            
            foreach(var hook in _moduleHooks)
            {
                hook.Init(context);
            }
        }

      
        public void Dispose()
        {
        }
    }
}