﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Diagnostics;
using Microsoft.WindowsAzure.Diagnostics;
using Microsoft.WindowsAzure.ServiceRuntime;

namespace Microsoft.Gateway.Utils
{
    public class AzureUtils
    {
        public static bool IsRunningInAzureWebRole()
        {
            bool retval = false;
            try
            {
                retval = RoleEnvironment.IsAvailable;
            }
            catch
            {
            }
            return retval;
        }

        public static void AddAzureDiagnosticsListner()
        {
            try
            {
                if (IsRunningInAzureWebRole())
                {
                    Trace.Listeners.Add(new DiagnosticMonitorTraceListener());
                }
            }
            catch (Exception e)
            {
                Trace.TraceWarning("Failed to load diagnostic listener: " + e.Message);
            }
        }

        public static string GetDefaultIISSiteName()
        {
            if (IsRunningInAzureWebRole())
            {
                return RoleEnvironment.CurrentRoleInstance.Id + "_Web";
            }
            return "Default Web Site";
        }
    }
}
